package limax.auany;

import limax.auany.plats.Credential;
import limax.auany.switcherauany.CheckProviderKey;
import limax.auany.switcherauany.PayAck;
import limax.auany.switcherauany.PayIdsNotify;
import limax.auany.switcherauany.SessionAuthByToken;
import limax.endpoint.AuanyService.ResultCredential;
import limax.endpoint.AuanyService.ResultPay;

public class __ProtocolProcessManager {
	private __ProtocolProcessManager() {
	}

	public static void process(CheckProviderKey rpc) {
		ProviderKeyStore.process(rpc);
	}

	public static void process(SessionAuthByToken rpc) {
		PlatManager.process(rpc);
	}

	public static void onPay(long sessionid, int gateway, int payid, int product, int price, int quantity,
			String receipt, ResultPay onresult) {
		PayManager.onPay(sessionid, gateway, payid, product, price, quantity, receipt, onresult);
	}

	public static void onBind(long sessionid, String nonce, String username, String token, String platflag,
			ResultCredential onresult) {
		Credential.bind(sessionid, nonce, username, token, platflag, onresult);
	}

	public static void onDerive(long sessionid, String nonce, ResultCredential onresult) {
		Credential.derive(sessionid, nonce, onresult);
	}

	public static void process(PayAck ack) {
		PayDelivery.ack(ack);
	}

	public static void process(PayIdsNotify notify) {
		ProviderKeyStore.process(notify);
	}
}
