package limax.edb;

final class FreePage implements Page.Impl {
	private long freePageList;

	private FreePage() {
	}

	private static FreePage _alloc() {
		return new FreePage();
	}

	static FreePage alloc() {
		FreePage obj = _alloc();
		obj.init();
		return obj;
	}

	static FreePage alloc(PageLayout layout) {
		FreePage obj = _alloc();
		obj.init(layout);
		return obj;
	}

	@Override
	public void free() {
	}

	@Override
	public PageLayout createSnapshot() {
		PageLayout layout = new PageLayout();
		layout.data().putLong(freePageList);
		return layout;
	}

	private void init() {
	}

	private void init(PageLayout layout) {
		freePageList = layout.data().getLong();
		layout.free();
	}

	long getFreePageList() {
		return freePageList;
	}

	void setFreePageList(long freePageList) {
		this.freePageList = freePageList;
	}

}
